Subject: Need 'Carnivorous' Plant Expert(s)

From: [email-masked] (Ed Griffin)
Date: Thu, 30 Mar 1995 07:02:16 -0500 (EST)

I need someone who is knowledgeable about Nepenthes spp. I know
there's a Carnivorous Plant Society in California, but I don't know
how to reach them. Anyone who grows Nepenthes might be of help to
me....

I have one Nepenthes, species unknown (Andrew took away my reference
books), which wanders about my patio, and is blooming for the first
time. I need to know if one plant will set seed, and, if it does, when
and how to plant the seeds (fresh? age them? average germination time?
temp? planting medium?). 

Thanks to anyone who might be of help....